org.richfaces.resource.external

## Class ExternalStaticResourceFactoryImpl

- java.lang.Object
- - org.richfaces.resource.external.ExternalStaticResourceFactoryImpl

- All Implemented Interfaces:
    org.richfaces.application.Initializable, org.richfaces.resource.external.ExternalStaticResourceFactory

      public class ExternalStaticResourceFactoryImpl
      extends Object
      implements org.richfaces.resource.external.ExternalStaticResourceFactory, org.richfaces.application.Initializable

  Creates resources pointing outside of JSF resource handler.
  Author:
    Lukas Fryc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalStaticResourceFactoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.richfaces.resource.external.ExternalResource` | `createResource(javax.faces.context.FacesContext facesContext, org.richfaces.resource.ResourceKey resourceKey)`
    `Set<org.richfaces.resource.ResourceKey>` | `getResourcesForLocation(String resourceLocation)`
    `void` | `init()`
    `void` | `release()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalStaticResourceFactoryImpl

          public ExternalStaticResourceFactoryImpl()

  - ### Method Detail

    - #### init

          public void init()

      Specified by:
        `init` in interface `org.richfaces.application.Initializable`

    - #### createResource

          public org.richfaces.resource.external.ExternalResource createResource(javax.faces.context.FacesContext facesContext,
                                                                        org.richfaces.resource.ResourceKey resourceKey)

      Specified by:
        `createResource` in interface `org.richfaces.resource.external.ExternalStaticResourceFactory`

    - #### getResourcesForLocation

          public Set<org.richfaces.resource.ResourceKey> getResourcesForLocation(String resourceLocation)

      Specified by:
        `getResourcesForLocation` in interface `org.richfaces.resource.external.ExternalStaticResourceFactory`

    - #### release

          public void release()

      Specified by:
        `release` in interface `org.richfaces.application.Initializable`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.